/*
 *
 * Written by:  Ken Nelson
 * Checked by:
 * Revised by:
 *
 * Brief description: Tells what Window system you are using
 *
 */

static char *sccs_id = "@(#)chkx.c	1.1	6/28/91	ERL";

#include <stdio.h>

#include <X11/Xlib.h>
#include <X11/Xutil.h>
#include <X11/Xos.h>
#include <X11/Xatom.h>

int checkForX()
{
  Display  *display;
  int result = 0;

  freopen("/dev/null","a",stderr);
  if ( (display=XOpenDisplay(NULL)) != NULL)
  {
    printf("X11R%d\n",VendorRelease(display));
    XCloseDisplay(display);
    result = 1;
  }
  else
  {
    result =  0;
  }
  fclose(stderr);
  return result;
}



